Subject: Software Development Summary (15 Feb 94)

From: [email-masked] (G. Devin Reade)
Date: 15 Feb 1994 23:48:59 -0700

Well, I've been putting this off for some time now, but here it is.
Sorry for the delay:

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Software Development Summary.  Last Change:  15 Feb 94
[This file has been formatted with tab stops set to 8.]

=======================
Preamble               
=======================

Yet Another Information List:

In the interests of reducing the reinvention-of-the-wheel, I am maintaining
a list of ongoing Apple II development efforts.  It is my hope that we can
thus avoid two people unintentionally working on the same project, and provide
a way for programmers to get debugged routines that have already been completed
for another software package.  This is obviously oriented to those doing this
as a hobby rather than making commercial ports or programs, but commercial
listings are also accepted.

This list was first conceived in regards to porting programs from other
platforms to Gno on the IIgs, however the scope has expanded to software
that is:

	for any Apple II computer (or other machines where the project
	is directly relevent to the Apple II family, such as networking or
	telecommunications programs);

	shell-based or stand-alone programs UNDER DEVELOPMENT.  (Programs
	at or beyond version 1.0 --or general release-- will be deleted
	from the list.)  Note that for Gno-compatible programs, James
	Brookes maintains the list for released software;

	programming libraries, _either_ under development or completed;

	freeware/shareware/public domain/commercial ware.  Note that if
	you are developing a commercial package, you _may not want_ to
	submit information for this list; that will have to depend on your
	assessment of the market.

I know that there are a lot of packages being developed out there; however
listing will only be included when requested.

This posting is in the public domain and may be uploaded to any other form
of information service.

=======================
Information Template   
=======================

Please make submissions in the following format.  (Note that those are tabs
separating the heading from the information; tabs at 8.  Also please format
to less than 80 columns.)  Doing so will make this list much easier to maintain.
I will also include the date that the _entry_ was last updated.

Program/Library:	(Name of program or library package.)
Description:		(Brief; remember that this is aimed at the _programming_
                     	community.)
Status:             	(Planned but not started;  trying to fix the XXXXX bug;
                     	waiting on a compiler upgrade for whatever reason;
			writing documentation; whatever.  Also "complete" is
			acceptable if it's a library and therefore not in James
			Brookes' utility list.)
Author/Maintainer:  	(Name of either the author, or the person doing the
                     	port or possibly, in the case of libraries, the person
                     	currently maintaining the code.)
Email:              	(Email address of Author/Maintainer.)

[And, for the sake of cut-and-paste, here it is again: ]

Program/Library:
Description:
Status:
Author/Maintainer:
Email:
Date Listed:

Any comments listed in square brackets [] are insertions (or in the case
of "[...]", deletions) by me.  If the paraphrasing is not right, let me know.

=======================
Contact Information    
=======================

If you have modifications to this list please email them to me, Devin Reade,
at <[email-masked]>.  I don't know when I will be losing that account,
so if your mail bounces first try again in a day or two.  If it still bounces
after that, email me at <[email-masked]>.  [I will not be using the
second account on a regular basis unless I lose the first one.]

=======================
Gno/Orca Shell Programs
=======================

Program/Library:	agrep v2.0.4
Description:		an approximate grep; allows substitutions,
			permutations, and combinations in regular expressions.
Status:			Orca/C v2.0.1 is puking;  it compiles clean, but for
			some reason it refuses to write one of the object files.
			I have to have a closer look ...
Author/Maintainer:	Devin Reade
Email:			[email-masked]  or  [email-masked]
Date Listed:		15 Feb 94

Program/Library:	arc 5.12
Description:		[ another archiver? ]
Status:			Unable to run because BSD-compatibility lib does not
			like the big memory model.  I'm not enthusiastic about
			completing this one, any takers?
Author/Maintainer:	Soenke Behrens
Email:			[email-masked]
Date Listed:		9 Aug 93

Program/Library:	diff
Description:		shows differences between two files.
Status:			Just started.  Received some unreleased work from
			Jawaid.
Author/Maintainer:	Devin Reade
Email:			[email-masked]  or  [email-masked]
Date Listed:		15 Feb 94

Program/Library:	dmake (v0.4.3b)
Description:		A Unix-style make utility for automated compilation.
Status:			Source needs to be cleaned up and released.  There are
			still a few bugs as well.  Need a Gno kernel bug fix
			to properly test some of the dmake bug fixes.
Author/Maintainer:	Devin Reade
Email:			[email-masked]  or  [email-masked]
Date Listed:		15 Feb 94

Program/Library:	gzip
Description:		[FSF's replacement for Unix' compress]
Status:			I made an attempt at porting this, but bugs in
			ORCA/C's handling of the shift operator stopped me
			again.  I will probably try again when I get the next
			beta of ORCA/C. Dunno why I include this here, really,
			it's not as if I had done a lot of work on this one.
Author/Maintainer:	Soenke Behrens
Email:			[email-masked]
Date Listed:		9 Aug 93

Program/Library:	JPEG release 4
Description:		[Graphics viewer (or convertor?)]
Status:			[I have Orca Version] 1.3, so I'm waiting for 2.0.1.
			I also need to get rid of GNO calls so it'll work
			under Orca.
Author/Maintainer:	Dave Huang
Email:			[email-masked]
Date Listed:		1 Aug 93

Program/Library:	lha
Description:		[archiver commonly used on Amigas]
Status:			Works, but has a bug when trying to pack a large
			number of files I haven't been able to find so far.
			Anyone who asks gets a beta copy.
Author/Maintainer:	Soenke Behrens
Email:			[email-masked]
Date Listed:		9 Aug 93

Program/Library:	mtools package
Description:		reads/writes MSDOS disks
Status:			[Need] popen(3) for one of the programs, and I need
			to make it easier to use on the GS, where device names
			aren't fixed.
Author/Maintainer:	Dave Huang
Email:			[email-masked]
Date Listed:		1 Aug 93

Program/Library:	RCS
Description:		FSF's Revision Control System
Status:			Not yet started; I intend to do it after diff, upon
			which RCS depends.
Author/Maintainer:	Devin Reade
Email:			[email-masked]  or  [email-masked]
Date Listed:		15 Feb 94

Program/Library:	Tcl v6.7
Description:		A tool control language from UC Berkeley.  Also works
			as a shell and a programming language.
Status:			Waiting for Orca C V2.0.1 (on order) and GNO 1.1
			etc - end of Augugst early Sept. (Everything compiles
			now, just missing some library routines.)
Author/Maintainer:	Gerald W. Lester
Email:			[email-masked]
Date Listed:		11 Aug 93

Program/Library:	TeX / LaTeX
Description:		[Document formatting software common on Unix platforms]
Status:         	TeX/LaTex has passed Triptest and works under GNO, 
                	but needs speed improvement.
                	Switched from ORCA/C 1.3 to ORCA/C 2.0.1
                	To do: write DVI previewer, compile some DVI printer
			drivers, make things work under ORCA shell.
			Also waiting for GNO 1.1
Author/Maintainer:	Stefan Voss
Email:			[email-masked]
Date Listed:		12 Aug 93

=======================
Stand-alone Programs   
=======================

Program/Library:	ADVSYS
Description:		An adventure game compiler and intepreter combo.
Status:			It's actually running fine. I'm now working on a few
			speedups for the text routines, so it'll be a bit more
			bearable on an unaccelerated GS.  [...]  Dunno when
			it'll be released.  The fixes really shouldn't take
			*too* much work.. I've just got to sit down and do it.
Author/Maintainer:	Matt Ackeret
Email:                  [email-masked] or [email-masked]
Date Listed:		1 Aug 93

Program/Library:	ELM
Description:		A simplified implementation of the Unix mail reader ELM.
			I got tired of having to read all my mail on-line using
			a standard mail reader. So I'm migrating ELM to the GS
			as a desktop appl.
Status:			Work has only just begun, and is progressing slowly,
			as I have to learn the program as I go.  :(
Author/Maintainer:	John Mills
Email:			INet: [email-masked] (pref)
			GEnie: [email-masked]
Date Listed:		1 Aug 93

Program/Library:	Mac C-Kermit -- A desktop version for the GS.
Description:            [Presumably, another flavor of Kermit -- GDR]
Status:			Most functions are complete save for the file-handling
			and terminal emulation modules.  Currently, data I/O
			is unacceptably slow and must be rewritten. File I/O
			I/O must still be converted from its Mac implementation.
			At this time, I'd say the project is about halfway
			complete.
Email:			INet: [email-masked] (pref)
			GEnie: [email-masked]
Date Listed:		1 Aug 93

=======================
Libraries              
=======================

Program/Library:        lenviron (v1.1.2)
Description:		Provides Unixish exec() calls and access to the
			environ global environment variable.  (Requires Gno)
Status:                 Complete.  It may be incorporated into a later version
			of libc.
Author/Maintainer:	Devin Reade
Email:			[email-masked]  or  [email-masked]
Date Listed:		15 Feb 94

Program/Library:    	Mac Resource fork reader utility for the GS.
Description:		This library will allow a GS application (linked
			into it) to access any specific Mac resource in the
			usual Mac-standard way...
			(ie. theHandle = GetResource (theTypeStr, theID);
			as implemented in C). NO RESOURCE TRANSLATION IS
			PERFORMED! It only gets the RAW resource data.
Status:			This project is very near to completion. I'm hard
			at work bug hunting, and my can of RAID is nearly
			gone :)
Author/Maintainer:	John Mills
Email:			INet: [email-masked] (pref)
			GEnie: [email-masked]
Date Listed:		1 Aug 93

Program/Library:        queue (v8.3)
Description:		This is actually just a header file that provides
			macros for lists, tail queues, and circular queues.
Status:                 Complete.
Author/Maintainer:	Devin Reade
Email:			[email-masked]  or  [email-masked]
Date Listed:		15 Feb 94

Program/Library:	random lib       
Description:		Contains random(), the ?rand48() functions, and the
			mrandom() package. Useful if ORCA/Cs rand() just isn't
			good enough.
Status:			Finished and released.
Author/Maintainer:	Soenke Behrens
Email:			[email-masked]
Date Listed:		9 Aug 93

--
        G. Devin Reade          [email-masked]        <-- preferred
                                [email-masked]